Download it now!
Bug 122930 - Cannot set paper tray in page style
Summary: Cannot set paper tray in page style
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.2 rc
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.3.0 target:6.1.6 target:6.2.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Printer-Settings
  Show dependency treegraph
 
Reported: 2019-01-24 13:13 UTC by Regina Henschel
Modified: 2019-02-04 21:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Envelope followed by letter (12.41 KB, application/vnd.oasis.opendocument.text)
2019-01-24 13:13 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-01-24 13:13:44 UTC
Created attachment 148597 [details]
Envelope followed by letter

Open attached file. It has a landscape envelope with style 'envelope' as first page, followed be a portrait DIN A4 page with style 'default'. For the page style 'envelope' the manual paper tray is set, for the page style 'default' the first paper cassette is set. Try to change this, e.g set 'default' to use manual paper tray too. It is not possible, the drop down list 'Paper tray' has no further entries.

I see the error in Version: 6.1.0.2 (x64)
Build ID: b3972dcf1284967612d5ee04fea9d15bcf0cc106
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (en_US); Calc: CL

It is OK in Version: 6.0.7.3 (x64)
Build ID: dc89aa7a9eabfd848af146d5086077aeed2ae4a5
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: de-DE (en_US); Calc: CL
Comment 1 Oliver Brinzing 2019-01-25 12:23:29 UTC
(In reply to Regina Henschel from comment #0)

> For the page style 'envelope' the manual paper tray is set, for the page style
> 'default' the first paper cassette is set. Try to change this, e.g set
> 'default' to use manual paper tray too. It is not possible, the drop down
> list 'Paper tray' has no further entries.

if i open attached document with LO 6.1.5.1, "Paper tray" is set to 
[From Printer settings] for both pagestyles and there is no option to change this.
is it a printer specific issue? 
attached document has set "EPSON6FC99C (WP-4025 Series)" in settings.xml.
Comment 2 Regina Henschel 2019-01-25 12:39:15 UTC
There exists Tools > Options > Load/Save > General, option "Load printer settings with the document". And perhaps you might need to disable Tools > Options > Writer > Print, option "Paper tray from printer settings".

But the error is not specific to a special printer. The error is, that you do not have several items in that drop-down list, but only one. For most printers there should be at least "manual paper tray" and "cassette 1" additional to "From printer settings".

Compare the behavior with a LO version 6.0.
Comment 3 Dieter Praas 2019-01-25 13:51:31 UTC
(In reply to Oliver Brinzing from comment #1)
> (In reply to Regina Henschel from comment #0)
> if i open attached document with LO 6.1.5.1, "Paper tray" is set to 
> [From Printer settings] for both pagestyles and there is no option to change
> this.

I get the same result and I disabled Tools > Options > Writer > Print, option "Paper tray from printer settings".

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 411f3a050ac2be598019d512f8ccfe041080c28f
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-01-14_03:17:11
Locale: en-US (de_DE); UI-Language: en-US
Calc: threaded
Comment 4 Oliver Brinzing 2019-01-25 13:57:47 UTC
now i can confirm with LO 6.1.5.1:

- open attached document
- Menu File/Printer Settings..., e.g. choose: "Adobe PDF"
- both pagestyles "Paper tray" are set to [From Printer settings] 
  and there is no option to change this.

doing same with LO 6.0.7.3 if have 3 options
Comment 5 Oliver Brinzing 2019-01-25 14:22:28 UTC
seems to have started with:

https://gerrit.libreoffice.org/plugins/gitiles/core/+/73b1aeca87d050634bae9194632601561dedec06

05b3665dadc2512bbfa93a587430395c4c4c0014 is the first bad commit
commit 05b3665dadc2512bbfa93a587430395c4c4c0014
Author: Norbert Thiebaud <nthiebaud@gmail.com>
Date:   Mon Jun 18 21:02:09 2018 -0700
    source sha:73b1aeca87d050634bae9194632601561dedec06
    source sha:73b1aeca87d050634bae9194632601561dedec06

:040000 040000 ed66112b2a42539adc09cd70df28f333929dc1af 934b13b907ab8359b2da560ae8915551b07e1514 M      instdir

/cygdrive/d/sources/bibisect/bibisect-win32-6.1
$ git bisect log
# bad: [1d66cc00ca6fd2e562cbed88704051b2f5d989e3] source sha:8d2abb388b0a2423c9b7e1f52373e1b06dd9786f
# good: [29d08f54c2f71ffee4fe12dbb24c5f5cbedecfd2] source sha:6eeac3539ea4cac32d126c5e24141f262eb5a4d9
git bisect start 'master' 'oldest'
# good: [3ac46f6c41b5044f162a451b10af0dc5afdcc113] source sha:22c7c3f54dbb93f856190c561b2540064c5a767d
git bisect good 3ac46f6c41b5044f162a451b10af0dc5afdcc113
# good: [63fc3e0d41dd91f9fb3fe9891e009451285d9619] source sha:13a1bc409d9b2f0d14f4d316b7977b1fc2eb3c8a
git bisect good 63fc3e0d41dd91f9fb3fe9891e009451285d9619
# good: [6a75149c2bee2fa1c01b36aef4b734ceee7bc025] source sha:91d8af2c5cf4e8ec0f1ce0e532e0c896de77750b
git bisect good 6a75149c2bee2fa1c01b36aef4b734ceee7bc025
# bad: [6440df548810a3adf5f7d125fe738467a5db7891] source sha:76c0b3c516f6b0d43136522b4d476eb60211cec1
git bisect bad 6440df548810a3adf5f7d125fe738467a5db7891
# good: [5ccea235927056bab13cc3166fa1213af86c385f] source sha:22b34bda2193464f766c2d9b3e51f7d558aa43a1
git bisect good 5ccea235927056bab13cc3166fa1213af86c385f
# bad: [262896f3035c6b02aae3ad28245c1c44c3ba4af8] source sha:61f794af9bcebeab3aa399fe02fb5f4976c176ba
git bisect bad 262896f3035c6b02aae3ad28245c1c44c3ba4af8
# good: [2420e175af31990bff8a1a5aaf0efb45f97870cd] source sha:72e73de4b4394f0707ddcdd6b52b208d6d2d6601
git bisect good 2420e175af31990bff8a1a5aaf0efb45f97870cd
# good: [c28ba5f52eb3f45fb3ca267ad19af4529934fd7f] source sha:7e565ddb8df8437a44a314f938c61912660b7e8b
git bisect good c28ba5f52eb3f45fb3ca267ad19af4529934fd7f
# good: [ba5692b266aa0af8e36a4e9b5edd4559c8c512ab] source sha:fe1a23b5c49c94410a604c8d4a6f50f43d575403
git bisect good ba5692b266aa0af8e36a4e9b5edd4559c8c512ab
# bad: [d3a83b6a731b7b07bd63ae1955f349374e11dbae] source sha:f1f93452d1c3726d3dd42687cb8e629537805e80
git bisect bad d3a83b6a731b7b07bd63ae1955f349374e11dbae
# good: [0ca015c6cc6f28bf79627e9b9924ddec09e413ea] source sha:09205edb4f33d7149d82f192d11f7d405be3d202
git bisect good 0ca015c6cc6f28bf79627e9b9924ddec09e413ea
# bad: [a1be2e9bd149ad8e16307a4a16c88003c5832fb6] source sha:3f88236da1d2b8a99b11a8acd0b9e56310e01a38
git bisect bad a1be2e9bd149ad8e16307a4a16c88003c5832fb6
# bad: [05b3665dadc2512bbfa93a587430395c4c4c0014] source sha:73b1aeca87d050634bae9194632601561dedec06
git bisect bad 05b3665dadc2512bbfa93a587430395c4c4c0014
# first bad commit: [05b3665dadc2512bbfa93a587430395c4c4c0014] source sha:73b1aeca87d050634bae9194632601561dedec06
Comment 6 Roman Kuznetsov 2019-01-27 07:52:21 UTC
Caolan, please look at this regression

(https://gerrit.libreoffice.org/#/c/55952/)
Comment 7 Caolán McNamara 2019-01-28 13:07:55 UTC
should have been a focus callback, not a select callback
Comment 8 Commit Notification 2019-01-28 16:05:52 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/608c82472da65d9ac0b81f5a985dfa329e6c5136%5E%21

Resolves: tdf#122930 paper tray is to update on focus-in

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Caolán McNamara 2019-01-28 16:09:56 UTC
fixed in master, backport to 6-2 in gerrit
Comment 10 Xisco Faulí 2019-01-30 11:56:47 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: f1f84cf7fae3c777908cfc5357a067db731367ac
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Caolán, thanks for fixing this!!
Comment 11 Xisco Faulí 2019-01-30 12:13:01 UTC
Hi Caolán,

I see this is also reproducible in

Version: 6.1.4.2
Build ID: 1:6.1.4-0ubuntu0.16.04.1~lo2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group threaded

i tried to cherry-pick it but there were conflicts.
Do you think it should be cherry-picked to 6-1 ?
Comment 12 Caolán McNamara 2019-01-30 16:55:38 UTC
backport for 6-1 in gerrit now as well
Comment 13 Commit Notification 2019-02-04 21:38:19 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

https://git.libreoffice.org/core/+/336feec6b0bef15bd3a234c63d63ad8d869a3374%5E%21

Resolves: tdf#122930 paper tray is to update on focus-in

It will be available in 6.1.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-02-04 21:38:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/5d0eba55bf516e94111aa4ed45c107cce6523124%5E%21

Resolves: tdf#122930 paper tray is to update on focus-in

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.